import type { string_legal_entity } from './src/types/typeAliases';
import type { string_promptbook_server_url } from './src/types/typeAliases';
import type { string_title } from './src/types/typeAliases';
/**
 * Open Promptbook server usable for public
 */
type ServerConfiguration = {
    /**
     * Basic name of the server
     */
    title: string_title;
    /**
     * Who is the owner of the server
     */
    owner: string_legal_entity;
    /**
     * Is the server open for public and anonymous usage
     */
    isAnonymousModeAllowed: boolean;
    /**
     * Description of the server, link to registration, user agreement, privacy policy, etc.
     */
    description: string;
    /**
     * URL of the server
     *
     Note: lising more for loadbalancing
     */
    urls: Array<string_promptbook_server_url>;
};
/**
 * Available remote servers for the Promptbook
 *
 * @public exported from `@promptbook/core`
 */
export declare const REMOTE_SERVER_URLS: Array<ServerConfiguration>;
export {};
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
