import type { PipelineJson } from '../../pipeline/PipelineJson/PipelineJson';
import type { string_filename } from '../../types/typeAliases';
import type { FilesystemTools } from '../../execution/FilesystemTools';
/**
 * Saves the given books into an archive file with `.bookc` extension
 *
 * @param filePath Path to the archive file with `.bookc` extension
 * @param books Pipelines to be saved in the archive
 * @param fs Filesystem tools
 *
 * @private utility of Prompbook
 */
export declare function saveArchive(filePath: string_filename, collectionJson: ReadonlyArray<PipelineJson>, fs: FilesystemTools): Promise<void>;
/**
 * TODO: Add metadata to zip
 * TODO: Compression level and other zip options from config
 * Note: [🟢] Code in this file should never be never released in packages that could be imported into browser environment
 */
