import type { really_unknown } from '../utils/organization/really_unknown';
/**
 * Helper used in catch blocks to assert that the error is an instance of `Error`
 *
 * @param whatWasThrown Any object that was thrown
 * @returns Nothing if the error is an instance of `Error`
 * @throws `WrappedError` or `UnexpectedError` if the error is not standard
 *
 * @private within the repository
 */
export declare function assertsError(whatWasThrown: really_unknown): asserts whatWasThrown is Error;
