import type { PipelineExecutorResult } from './PipelineExecutorResult';
/**
 * Asserts that the execution of a Promptbook is successful
 *
 * Note: If there are only warnings, the execution is still successful but the warnings are logged in the console
 *
 * @param executionResult - The partial result of the Promptbook execution
 * @throws {PipelineExecutionError} If the execution is not successful or if multiple errors occurred
 * @private internal helper function of `asPromise` method of `ExecutionTask`
 */
export declare function assertsTaskSuccessful(executionResult: Pick<PipelineExecutorResult, 'isSuccessful' | 'errors' | 'warnings'>): void;
/**
 * TODO: [🧠] Can this return type be better typed than void
 */
