/**
 * Represents the uncertain value
 *
 * @public exported from `@promptbook/core`
 */
export declare const ZERO_VALUE: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    readonly value: 0;
}>;
/**
 * Represents the uncertain value
 *
 * @public exported from `@promptbook/core`
 */
export declare const UNCERTAIN_ZERO_VALUE: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    readonly value: 0;
    readonly isUncertain: true;
}>;
/**
 * Represents the usage with no resources consumed
 *
 * @public exported from `@promptbook/core`
 */
export declare const ZERO_USAGE: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    readonly price: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
        readonly value: 0;
    }>;
    readonly input: {
        readonly tokensCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly charactersCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly wordsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly sentencesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly linesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly paragraphsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly pagesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
    };
    readonly output: {
        readonly tokensCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly charactersCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly wordsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly sentencesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly linesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly paragraphsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
        readonly pagesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
        }>;
    };
}>;
/**
 * Represents the usage with unknown resources consumed
 *
 * @public exported from `@promptbook/core`
 */
export declare const UNCERTAIN_USAGE: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
    readonly price: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
        readonly value: 0;
        readonly isUncertain: true;
    }>;
    readonly input: {
        readonly tokensCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly charactersCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly wordsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly sentencesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly linesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly paragraphsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly pagesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
    };
    readonly output: {
        readonly tokensCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly charactersCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly wordsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly sentencesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly linesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly paragraphsCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
        readonly pagesCount: import("type-fest/source/readonly-deep").ReadonlyObjectDeep<{
            readonly value: 0;
            readonly isUncertain: true;
        }>;
    };
}>;
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
