import type { string_filename } from '../../../types/typeAliases';
import type { string_markdown } from '../../../types/typeAliases';
/**
 * Pass the `.env` file which was used to configure LLM tools
 *
 * Note: `$` is used to indicate that this variable is making side effect
 *
 * @private internal log of `$provideLlmToolsConfigurationFromEnv` and `$registeredLlmToolsMessage`
 */
export declare function $setUsedEnvFilename(filepath: string_filename): void;
/**
 * Creates a message with all registered LLM tools
 *
 * Note: This function is used to create a (error) message when there is no constructor for some LLM provider
 *
 * @private internal function of `createLlmToolsFromConfiguration` and `$provideLlmToolsFromEnv`
 */
export declare function $registeredLlmToolsMessage(): string_markdown;
/**
 * TODO: [®] DRY Register logic
 * TODO: [🧠][⚛] Maybe pass env as argument
 */
