import type { PipelineJson } from '../pipeline/PipelineJson/PipelineJson';
import type { RemoteClientOptions } from '../remote-server/types/RemoteClientOptions';
/**
 * Prepare pipeline on remote server
 *
 * @see https://github.com/webgptorg/promptbook/discussions/196
 *
 * Note: This function does not validate logic of the pipeline
 * Note: This function acts as part of compilation process
 * Note: When the pipeline is already prepared, it returns the same pipeline
 *
 * @public exported from `@promptbook/remote-client`
 */
export declare function preparePipelineOnRemoteServer<TCustomOptions = undefined>(pipeline: PipelineJson, options: RemoteClientOptions<TCustomOptions>): Promise<PipelineJson>;
/**
 * TODO: [🐚] Do not return `Promise<PipelineJson>` But `PreparationTask`
 */
