import type { Socket } from 'socket.io-client';
import type { RemoteClientOptions } from './types/RemoteClientOptions';
/**
 * Creates a connection to the remote proxy server.
 *
 * Note: This function creates a connection to the remote server and returns a socket but responsibility of closing the connection is on the caller
 *
 * @private internal utility function
 */
export declare function createRemoteClient<TCustomOptions = undefined>(options: RemoteClientOptions<TCustomOptions>): Promise<Socket>;
