/**
 * @private !!!! Decide how to expose this
 */
export declare const openapiJson: {
    openapi: string;
    info: {
        title: string;
        version: string;
        description: string;
    };
    paths: {
        '/': {
            get: {
                summary: string;
                description: string;
                responses: {
                    '200': {
                        description: string;
                    };
                };
            };
        };
        '/login': {
            post: {
                summary: string;
                description: string;
                requestBody: {
                    required: boolean;
                    content: {
                        'application/json': {
                            schema: {
                                type: string;
                                properties: {
                                    username: {
                                        type: string;
                                    };
                                    password: {
                                        type: string;
                                    };
                                    appId: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
                responses: {
                    '200': {
                        description: string;
                        content: {
                            'application/json': {
                                schema: {
                                    type: string;
                                    properties: {
                                        identification: {
                                            type: string;
                                        };
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        '/books': {
            get: {
                summary: string;
                description: string;
                responses: {
                    '200': {
                        description: string;
                        content: {
                            'application/json': {
                                schema: {
                                    type: string;
                                    items: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        '/books/{bookId}': {
            get: {
                summary: string;
                description: string;
                parameters: {
                    in: string;
                    name: string;
                    required: boolean;
                    schema: {
                        type: string;
                    };
                    description: string;
                }[];
                responses: {
                    '200': {
                        description: string;
                        content: {
                            'text/markdown': {
                                schema: {
                                    type: string;
                                };
                            };
                        };
                    };
                    '404': {
                        description: string;
                    };
                };
            };
        };
        '/executions': {
            get: {
                summary: string;
                description: string;
                responses: {
                    '200': {
                        description: string;
                        content: {
                            'application/json': {
                                schema: {
                                    type: string;
                                    items: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
            };
        };
        '/executions/new': {
            post: {
                summary: string;
                description: string;
                requestBody: {
                    required: boolean;
                    content: {
                        'application/json': {
                            schema: {
                                type: string;
                                properties: {
                                    pipelineUrl: {
                                        type: string;
                                    };
                                    inputParameters: {
                                        type: string;
                                    };
                                    identification: {
                                        type: string;
                                    };
                                };
                            };
                        };
                    };
                };
                responses: {
                    '200': {
                        description: string;
                        content: {
                            'application/json': {
                                schema: {
                                    type: string;
                                };
                            };
                        };
                    };
                    '400': {
                        description: string;
                    };
                };
            };
        };
    };
    components: {};
    tags: never[];
};
/**
 * Note: [💞] Ignore a discrepancy between file name and entity name
 */
